org.apache.hadoop.util

## Class PlatformName

- java.lang.Object
- - org.apache.hadoop.util.PlatformName

-     @InterfaceAudience.LimitedPrivate(value="HBase")
       @InterfaceStability.Unstable
      public class PlatformName
      extends Object

  A helper class for getting build-info of the java-vm.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `IBM_JAVA` A public static variable to indicate the current java vendor is IBM java or not.
    `static String` | `JAVA_VENDOR_NAME` The java vendor name used in this platform.
    `static String` | `PLATFORM_NAME` The complete platform 'name' to identify the platform as per the java-vm.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlatformName()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PLATFORM_NAME

          public static final String PLATFORM_NAME

      The complete platform 'name' to identify the platform as per the java-vm.

    - #### JAVA_VENDOR_NAME

          public static final String JAVA_VENDOR_NAME

      The java vendor name used in this platform.

    - #### IBM_JAVA

          public static final boolean IBM_JAVA

      A public static variable to indicate the current java vendor is IBM java or not.

  - ### Constructor Detail

    - #### PlatformName

          public PlatformName()

  - ### Method Detail

    - #### main

          public static void main(String[] args)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.